@use 'partials/variables/profile';
@use 'partials/classes/round-button';
@use 'partials/mixins/button-width';
@use 'partials/classes/stroked-button-border-color';

.edit-details-container {
  display: flex;
  flex-direction: column;
  gap: profile.$profile-card-gap;
  max-height: 100vh;
  overflow-y: auto;
}

.content-container {
  display: flex;
  flex-direction: column;
}

.row-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: profile.$profile-card-gap;
  padding: 0 profile.$profile-card-padding profile.$profile-card-padding;
}

.row-item {
  flex-grow: 1;
}

.button-container {
  display: flex;
  flex-flow: row wrap-reverse;
  justify-content: space-around;
  align-items: center;
  gap: profile.$profile-card-gap;
  padding: 10px profile.$profile-card-padding profile.$profile-card-padding;
}

button {
  @include button-width.set-button-width(123px);
  padding: profile.$profile-button-padding;
}
